%define name	powershell
%define version	0.8
%define release	5mdk
%define summary	Powershell X11 Terminal Emulator
%define group	Terminals
%define	section	%{group}

Summary:	%summary
Name:		%name
Version: 	%version
Release:	%release
Source:		http://powershell.sourceforge.net/download/%{name}-%{version}.tar.bz2
Source100:	%{name}-16.png.bz2
Source200:	%{name}-32.png.bz2
Source300:	%{name}-48.png.bz2
URL: 		http://powershell.sourceforge.net/
License:	GPL
Group:		%{group}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gnome-libs-devel
BuildRequires:	db1-devel

%description
Terminal Emulater for the X11 Window System.  Features:

- Full GNOME support.
- Support for many terminal windows in a single window, separated by
  "notebook" tabs.
- Menu options to open a new tab with various programs running, including
  bash, tcsh, pine, and emacs.
- Ability to change menu options through ~/.pshellrc as well as the
  Preferences dialog box.
- Ability to switch terms with Ctrl-1, Ctrl-2, etc...
- Support for transparency, pixmap backgrounds, etc...
- Full support for color. -URL handling - click on an http:// link and have
  it automatically open in your favorite web brower! Click on an ftp:// link and
  have it automatically open in your favorite FTP application! Or click on an 
  email address and have your favorite email program automatically open a
  new message with the To: field already filled in for you!

%prep 
%setup -q
%configure

%build
%make

%install
%makeinstall

mkdir -p ${RPM_BUILD_ROOT}%{_menudir}

cat - << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
icon="%{name}.png" \
needs="X11" section="%{section}" title="Powershell" \
longtitle="%{summary}"
EOF

mkdir -p $RPM_BUILD_ROOT{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
bzip2 -cd %{SOURCE100} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzip2 -cd %{SOURCE200} >  $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzip2 -cd %{SOURCE300} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-, root, root)
%doc AUTHORS README COPYING INSTALL BUGS
%{_bindir}/*
%{_menudir}/*
%dir %{_datadir}/gnome/help/powershell
%{_datadir}/gnome/help/powershell/*/*
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Thu Aug 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8-5mdk
- rebuild

* Fri Mar 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8-4mdk
- added in contribs by Alexander Skwar <ASkwar@Linux-Mandrake.com> :
	- Fixed menu entry

* Sat Mar 17 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.8-3mdk
- Changed Menu Section/RPM Group to Terminals

* Sat Mar 17 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.8-2mdk
- "Beautified" description

* Sat Mar 17 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.8-1mdk
- First Mandrake version
- Took icons from upcoming release

* Sat Mar 4 2000 Matt Spong <spong@glue.umd.edu>
- Ability to not run the default login shell on startup
- Ability to change scrollbar position or hide the scrollbar
- Ability to hide the taps if only one term is running and then show them when
  another one is opened

* Sat Feb 12 2000 Matt Spong <spong@glue.umd.edu>
- Added scrollbar to menu item list in Prefs dialog
- Fixed PowerPC segfault bug
- Added prefs option to turn off URL matching
- Fixed default options to be more reasonable
- Added ability for menus to prompt user for program arguments (this is damn      cool, BTW)
- Added status bar
- Added preferences option to change which side the notebook tabs are on or hide  the tabs altogether
- Added option to hide the menubar (ARGH! GNOME SUCKS ASS! That was such a        bigger pain in the ass than it should have been.)
- Added option to run certain menu items on startup. 

* Fri Feb 4 2000 Matt Spong <spong@glue.umd.edu>
- Comprehensive online documentation added.
- Fixed both known segfaults in 0.65
- No longer complains about help file being NULL (since it's not anymore :-)

* Sat Jan 29 2000 Matt Spong <spong@glue.umd.edu>
- Now launches user's login shell by default rather than the first item in the    menu.
- Ctrl-Tab switches to next tab
- Added "Update" button to Menu Editor
- Right-clicking on tab now brings up "rename" dialog
- Fixed window creation (now creates it initially at the correct size)
- Fix resizing problems.
- Fixed font selection segfault.
- Fixed configure script
- Several unresolved segfaults (powershell -e now segfaults, as does running a    program in the background using a '&' after the command) If anybody can help
  fix these, I would greatly appreciate it.

* Tue Jan 25 2000 Matt Spong <spong@glue.umd.edu>
- Version 0.63
- Finished preferences dialog.
- Now supports everything the gnome-terminal does and much more (it is missing a  few menu options, though)
- Full custom color support, terminal options changeable.
- Changeable "scrollback lines" option.
- Added a "Run..." option in the File menu.
- Preliminary support for background execution of programs (although it is very   buggy, so I don't suggest using it)
- Several bugfixes (a program without a path no longer causes a segfault)

* Mon Jan 24 2000 Matt Spong <spong@glue.umd.edu>
- Version 0.6
- Completely revamped preferences dialog.
- Added support for visual menu editing.
- Many more menu options.

* Mon Jan 24 2000 Matt Spong <spong@glue.umd.edu>
- Version 0.55
- Added popup menu with right-click on term
- Moved "Rename Tab" to the menu rather than to a simple right-click.
- Revamped preferences dialog.

* Sun Jan 23 2000 Matt Spong <spong@glue.umd.edu>
- Version 0.5
- Converted to a true Gnome application

* Sun Jan 23 2000 Matt Spong <spong@glue.umd.edu>
- Version 0.4
- Conversion to GNU autoconf
- Hopefully fixed all compile-time errors because of wrong gnome-libs versions
- Added font select dialog
- Changing of background or font no longer requires restart of program
- Fixed a segfault bug
- Fixed the scrollbars so they actually work now :-)
- Fixed all compile-time warnings

* Sat Jan 22 2000 Matt Spong <spong@glue.umd.edu>
- Version 0.32
- Added scrollbars
- Fixed focus bug

* Sat Jan 22 2000 Matt Spong <spong@glue.umd.edu>
- Version 0.3
- Added support for user-defined URL handlers
- Added support for transparency, shading, and background pixmaps
- Implemented Preferences dialog
- Added support for on-the-fly renaming of tabs
- Added "About Box"
- Fixed "make" bug 

* Fri Jan 22 2000 Matt Spong <spong@glue.umd.edu>
- Version 0.2
- Major rewrite
- Added support for user-defined application (via ~/.pshellrc)
- Added more keyboard control (for switching between terms) 

* Sat Jan 15 2000 Matt Spong <spong@glue.umd.edu>
- Version 0.1b
- Minor bug fixes. 

* Sat Jan 8 2000 Matt Spong <spong@glue.umd.edu>
- Version 0.1
- Initial public release. 
